Extended Reminders Operation

Slovak Technical Services Extended Reminders Operation

Microsoft® Outlook® normally will only provide reminders for items in the default Inbox, Calendar, Tasks and Contacts folders. Extended Reminders enables adding any folder in the default Outlook information store (Exchange mailbox or PST file) that is an E-mail, Calendar, Tasks or Contacts folder (with the exception of Outbox and Deleted Items) as a reminder enabled folder.

Extended Reminders loads as a COM add-in for Outlook 2000, Outlook 2002 and Outlook 2003, and provides property pages in the Options dialog and for each eligible folder as a folder property page. The property pages allow enabling or disabling folders as reminder enabled folders.

The default reminder enabled folders (Inbox, Calendar, Tasks and Contacts) can not be disabled for reminders.

To access the property page in the Options dialog, select Tools, Options then select the Extended Reminders tab.

To access an eligible folder's property page, right-click on the folder in the Folder List or the Outlook Bar, then select Properties on the context menu. Then select the Reminders tab.


Extended Reminders System Requirements

Slovak Technical Services Extended Reminders System Requirements

Slovak Technical Services Extended Reminders requires Outlook 2000, Outlook 2002 or Outlook 2003.

Extended Reminders works with Windows 9X, Windows NT, Windows 2000 and Windows XP.

Outlook 2000 Internet Only mode is not supported, any Outlook 2000 Corporate or Workgroup, Outlook 2002 or Outlook 2003 setup is supported.


Extended Reminders Installed Files

Slovak Technical Services Extended Reminders Installed Files

The following files are installed by the installer for the Slovak Technical Services Extended Reminders software.

Application folder (usually C:\Program Files\Slovak Technical Services\ExtendedReminders\)

  1. ExtendedReminders.dll
  2. PPExtendedReminders.ocx
  3. ExtendedRemindersFolderPP.ocx
  4. Readme.doc
  5. PPExtendedReminders.ocx.manifest
  6. ExtendedRemindersFolderPP.ocx.manifest
  7. ExtendedReminders.manifest
  8. ExtendedReminders.chm

Common Files folder (C:\Program Files\Slovaktech Shared)

  1. STSMAPI.dll


Extended Reminders EULA

END-USER LICENSE AGREEMENT FOR SLOVAK TECHNICAL SERVICES SOFTWARE

NOTICE: PLEASE READ THROUGH THE FOLLOWING LICENSE TERMS THAT ARE APPLICABLE TO YOUR USE, AND, IF YOU ARE IN AGREEMENT WITH THOSE TERMS, INDICATE YOUR ACCEPTANCE AS SPECIFIED BELOW. BY INSTALLING, COPYING OR OTHERWISE USING SLOVAK TECHNICAL SERVICES Extended Reminders, YOU AGREE TO BE BOUND BY THE LICENSE TERMS WHICH ARE APPLICABLE TO YOU. IF YOU DO NOT AGREE TO THOSE TERMS, DO NOT INSTALL OR USE SLOVAK TECHNICAL SERVICES Extended Reminders; YOU MAY, HOWEVER, RETURN IT TO YOUR PLACE OF PURCHASE FOR A FULL REFUND.

IF YOU ACQUIRED SLOVAK TECHNICAL SERVICES Extended Reminders AS A STANDALONE PRODUCT, THE FOLLOWING TERMS APPLY TO YOU:

IMPORTANT-READ CAREFULLY: This Slovak Technical Services End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and Slovak Technical Services, Inc. for the Slovak Technical Services software product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT; you may, however, return it to your place of purchase for a full refund.

SOFTWARE PRODUCT LICENSE

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

1. GRANT OF LICENSE. This EULA grants you the following rights:

Evaluation Copy. If you obtained Extended Reminders as a 30-day evaluation copy, you may install and use one copy of Extended Reminders on a single computer for a 30-day period. At the end of the 30-day period, you must either purchase a license for Extended Reminders or uninstall Extended Reminders. Continued use of Extended Reminders beyond the 30-day evaluation period without purchase is prohibited and constitutes a violation of this EULA.

Applications Software. You may install and use one copy of Extended Reminders on a single computer. The primary user of the computer on which Extended Reminders is installed may make a second copy for his or her exclusive use on a portable computer.

Storage/Network Use. You may also store or install a copy of Extended Reminders on a storage device, such as a network server, used only to install Extended Reminders on your other computers over an internal network; however, you must acquire and dedicate a license for each separate computer on which Extended Reminders is installed from the storage device. A license for Extended Reminders may not be shared or used concurrently on different computers.

Site License Pak. If you have acquired this EULA in a Slovak Technical Services Extended Reminders Site License Pak, you may make an unlimited number of additional copies of the computer software portion of the SOFTWARE PRODUCT for use within your organization, and you may use each copy in the manner specified above. You are also entitled to make a corresponding number of secondary copies for portable computer use as specified above.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

Not for Resale Software. If Extended Reminders is labeled "Not for Resale" or "NFR," then, notwithstanding other sections of this EULA, you may not resell, or otherwise transfer for value, Extended Reminders.

Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble Extended Reminders, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

Separation of Components. Extended Reminders is licensed as a single product. Its component parts may not be separated for use on more than one computer.

Rental. You may not rent, lease, or lend Extended Reminders.

Support Services. Slovak Technical Services may provide you with support services related to Extended Reminders ("Support Services"). Use of Support Services is governed by the Slovak Technical Services policies and programs described in "online" documentation, and/or in other Slovak Technical Services-provided materials. Any supplemental software code provided to you as part of the Support Services shall be considered part of Extended Reminders and subject to the terms and conditions of this EULA. With respect to technical information you provide to Slovak Technical Services as part of the Support Services, Slovak Technical Services may use such information for its business purposes, including for product support and development. Slovak Technical Services will not utilize such technical information in a form that personally identifies you.

Software Transfer. You may permanently transfer all of your rights under this EULA, provided you retain no copies, you transfer all of Extended Reminders (including all component parts, associated media, any upgrades, and this EULA), and the recipient agrees to the terms of this EULA. If Extended Reminders is an upgrade, any transfer must include all prior versions of Extended Reminders.

Termination. Without prejudice to any other rights, Slovak Technical Services may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of Extended Reminders and all of its component parts.

3. COPYRIGHT.

All title and copyrights in and to Extended Reminders (including but not limited to any images, photographs, animations, text, and "applets" incorporated into Extended Reminders), and any copies of Extended Reminders are owned by Slovak Technical Services, Inc. Extended Reminders is protected by copyright laws and international treaty provisions. Therefore, you must treat Extended Reminders like any other copyrighted material except that you may install Extended Reminders on a single computer provided you keep the original solely for backup or archival purposes.

4. U.S. GOVERNMENT RESTRICTED RIGHTS.

Extended Reminders and documentation are provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c)(1) and (2) of the Commercial Computer Software-Restricted Rights at 48 CFR 52.227-19, as applicable. Manufacturer is Slovak Technical Services, Inc., 2602 Amsden Road, Winter Park, FL 32792-3513.

MISCELLANEOUS

If you acquired this product in the United States, this EULA is governed by the laws of the State of Florida and the following statement applies: each of the parties hereto irrevocably agrees to the jurisdiction of the courts of the State of Florida and further agrees to commence any litigation which may arise hereunder in the courts located in Orange County, State of Florida.

If you acquired this product in Canada, this EULA is governed by the laws of the Province of Ontario, Canada. Each of the parties hereto irrevocably agrees to the jurisdiction of the courts of the Province of Ontario and further agrees to commence any litigation which may arise hereunder in the courts located in the Judicial District of York, Province of Ontario.

If this product was acquired outside the United States or Canada, then local law may apply.

Should you have any questions concerning this EULA, or if you desire to contact Slovak Technical Services for any reason, please e-mail info@slovaktech.com

LIMITED WARRANTY

LIMITED WARRANTY.

Slovak Technical Services warrants that (a) Extended Reminders will perform substantially in accordance with the accompanying materials for a period of ninety (90) days from the date of receipt, and (b) any Support Services provided by Slovak Technical Services shall be substantially as described in applicable materials provided to you by Slovak Technical Services, and Slovak Technical Services support engineers will make commercially reasonable efforts to solve any problem issues. Some states and jurisdictions do not allow limitations on duration of an implied warranty, so the above limitation may not apply to you. To the extent allowed by applicable law, implied warranties on Extended Reminders, if any, are limited to ninety (90) days.

CUSTOMER REMEDIES.

Slovak Technical Services' and its suppliers' entire liability and your exclusive remedy shall be, at Slovak Technical Services' option, either (a) return of the price paid, if any, or (b) repair or replacement of Extended Reminders that does not meet Slovak Technical Services' Limited Warranty and which is returned to Slovak Technical Services with a copy of your receipt. This Limited Warranty is void if failure of Extended Reminders has resulted from accident, abuse, or misapplication. Any replacement of Extended Reminders will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer. Outside the United States, neither these remedies nor any product support services offered by Slovak Technical Services are available without proof of purchase from an authorized international source.

NO OTHER WARRANTIES.

To the maximum extent permitted by applicable law, Slovak Technical Services and its suppliers disclaim all other warranties and conditions, either express or implied, including, but not limited to, implied warranties of merchantability, fitness for a particular purpose, title, and non-infringement, with regard to Extended Reminders, and the provision of or failure to provide Support Services. This limited warranty gives you specific legal rights. You may have others, which vary from state/jurisdiction to state/jurisdiction.

LIMITATION OF LIABILITY.

To the maximum extent permitted by applicable law, in no event shall Slovak Technical Services or its suppliers be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use Extended Reminders or the provision of or failure to provide Support Services, even if Slovak Technical Services has been advised of the possibility of such damages. In any case, Slovak Technical Services' entire liability under any provision of this EULA shall be limited to the greater of the amount actually paid by you for Extended Reminders or U.S.$5.00; provided, however, if you have entered into a Slovak Technical Services Support Services Agreement, Slovak Technical Services' entire liability regarding Support Services shall be governed by the terms of that agreement. Because some states and jurisdictions do not allow the exclusion or limitation of liability, the above limitation may not apply to you.


Extended Reminders Operation

Slovak Technical Services Extended Reminders Operation

Operation

Microsoft® Outlook® normally will only provide reminders for items in the default Inbox, Calendar, Tasks and Contacts folders. Extended Reminders enables adding any folder in the default Outlook information store (Exchange mailbox or PST file) that is an E-mail, Calendar, Tasks or Contacts folder (with the exception of Outbox and Deleted Items) as a reminder enabled folder.

Extended Reminders loads as a COM add-in for Outlook 2000, Outlook 2002 and Outlook 2003, and provides property pages in the Options dialog and for each eligible folder as a folder property page. The property pages allow enabling or disabling folders as reminder enabled folders.

The default reminder enabled folders (Inbox, Calendar, Tasks and Contacts) can not be disabled for reminders.

To access the property page in the Options dialog, select Tools, Options then select the Extended Reminders tab.

To access an eligible folder's property page, right-click on the folder in the Folder List or the Outlook Bar, then select Properties on the context menu. Then select the Reminders tab.

Online/Offline Use

Extended Reminders can be used in both online and offline mode when used against the default online or offline Outlook information store.

Extended Reminders Limitations

Because of limitations in Outlook, reminders set on items in non-default Calendar and Tasks folders will result in a warning dialog from Outlook that the reminder will not occur. This warning dialog cannot be disabled, but the reminder will occur as expected. IMAP data stores can not be used for extended reminders.

Extended Reminders Performance

Outlook searches in all enabled folders for all items with reminders set. Each folder you enable for reminders has an impact on the search performance. Although Extended Reminders will work with literally hundreds of folders enabled for reminders we recommend keeping the number of reminder enabled folders to 20 or less for maximum performance.

Error Log

Any errors that may occur are logged in a file named ExtendedReminders.Log. This error log stores information that is used to troubleshoot the cause of the error.

If you are using Windows NT, Windows 2000 or Windows XP the error log file is stored in the C:\Documents and Settings\<profile_name>\Local Settings\Application Data\Extended Reminders\ folder, where <profile_name> is your Windows profile name.

If you are using Windows 95, Windows 98, Windows 98 SE or Windows Me the log file is stored in the installation folder of the application (C:\Program Files\Slovak Technical Services\ExtendedReminders\).


Extended Reminders Operation

Online/Offline Use

Extended Reminders can be used in both online and offline mode when used against the default online or offline Outlook information store.


Extended Reminders Operation

Extended Reminders Limitations

Because of limitations in Outlook, reminders set on items in non-default Calendar and Tasks folders will result in a warning dialog from Outlook that the reminder will not occur. This warning dialog cannot be disabled, but the reminder will occur as expected. IMAP data stores can not be used for extended reminders.

Extended Reminders Performance

Outlook searches in all enabled folders for all items with reminders set. Each folder you enable for reminders has an impact on the search performance. Although Extended Reminders will work with literally hundreds of folders enabled for reminders we recommend keeping the number of reminder enabled folders to 20 or less for maximum performance.


Extended Reminders Operation

Error Log

Any errors that may occur are logged in a file named ExtendedReminders.Log. This error log stores information that is used to troubleshoot the cause of the error. This log file is stored in either of two locations depending on what version of Windows you are using.

If you are using Windows NT, Windows 2000 or Windows XP the error log file is stored in the C:\Documents and Settings\<profile_name>\Local Settings\Application Data\Extended Reminders\ folder, where <profile_name> is your Windows profile name.

If you are using Windows 95, Windows 98, Windows 98 SE or Windows Me the log file is stored in the installation folder of the application (C:\Program Files\Slovak Technical Services\ExtendedReminders\).


Extended Reminders

Outlook normally only enables reminders for items in the Inbox, Calendar, Tasks and Contacts folders in your default data store. This data store can be an Exchange mailbox, a PST file (Personal Store) or when in offline mode an OST (Offline Store) file. The default data store is the data store where new e-mails are delivered.

Extended Reminders from Slovak Technical Services provides the ability to enable any folder in your default data store of the appropriate type for reminders. Any E-mail, Calendar, Tasks or Contacts folder can now be a container that displays reminders. Reminders can now be enabled for appointments, meetings or tasks, and flags on e-mails and contacts in any folder in the default data store.

This enhanced functionality is provided by an Outlook COM add-in, which will run in Outlook 2000, Outlook 2002 and Outlook 2003.

Options Property Page

When the Extended Reminders COM add-in is operational an Extended Reminders property page is added to the Options dialog in the Tools menu. This property page displays all folders that are searched for items with reminders or flags. The default reminder enabled folders (Inbox, Calendar, Tasks and Contacts) cannot be removed from the Reminders folder.

The property pages displayed when you open the Options dialog will vary depending on your Outlook setup and installation, and may not be identical to the illustrations shown.

Adding a Reminder Enabled Folder

To add a folder to the Reminders folder, which enables reminders to be displayed for items in that folder, click in the checkbox to the left of the folder name. The folder is enabled for reminders when it is checked. The checkboxes next to the folder names are toggles, clicking in them once checks them and clicking again in them unchecks them.

Checking the Include Subfolders checkbox enables automatically checking all subfolders of the selected folder when you check the selected folder.

Any added folders are added on a temporary basis until the Apply or OK button for the property page is selected. If the Cancel button is selected the newly added folders are not retained in the Reminders folder.

Removing a Reminder Enabled Folder

To remove a folder from the list of folders in the Reminders folder, click in the checkbox to the left of the folder name. Folders that are unchecked are not enabled for reminders. The checkboxes next to the folder names are toggles, clicking in them once checks them and clicking again in them unchecks them.

This removal is temporary unless the Apply or OK buttons on the property page are selected. The default reminder enabled folders (Inbox, Calendar, Tasks and Calendar) cannot be removed from the list of folders in the Reminders folder.

Reminder Warnings

Outlook will properly display reminders for any item in a reminder enabled folder. This function works automatically and requires no intervention on your part other than adding the desired folder to the list of folders in the Reminders folder. However, Outlook will still display the warning that the reminder will not fire when a reminder is added for a Calendar or Task item in a user enabled reminder folder. This warning message can be safely ignored by selecting the Yes button in the warning dialog. The reminder will be displayed as desired, despite the message in the warning dialog.


Extended Reminders

Options Property Page

When the Extended Reminders COM add-in is operational an Extended Reminders property page is added to the Options dialog in the Tools menu. This property page displays all folders that are searched for items with reminders or flags. The default reminder enabled folders (Inbox, Calendar, Tasks and Contacts) are displayed in bold face and cannot be removed from the Reminders folder.

The property pages displayed when you open the Options dialog will vary depending on your Outlook setup and installation, and may not be identical to the illustrations shown.


Extended Reminders

Adding a Reminder Enabled Folder

To add a folder to the Reminders folder, which enables reminders to be displayed for items in that folder, click in the checkbox to the left of the folder name. To enable subfolders of a folder to be enabled for reminders, expand the folder list by clicking in the + sign to the left of the folder and check that folder.

Checking the Include Subfolders checkbox enables automatically checking all subfolders of the selected folder when you check the selected folder.

Any folder listed as a folder in the Reminders folder is a search container which is searched automatically by Outlook to find items with enabled reminders or flags. To add a folder to the Reminders folder, select a folder in the folder list and select the OK button. To cancel adding a folder to the Reminders folder, select the Cancel button.

After a folder is added to the Reminders folder it is displayed as checked in the list of folders in the Extended Reminders property page. Any added folders are added on a temporary basis until the Apply or OK button for the property page is selected. If the Cancel button is selected the newly added folders are not retained in the Reminders folder.


Extended Reminders

Removing a Reminder Enabled Folder

To remove a folder from the list of folders in the Reminders folder, click in the checkbox to the left of the folder name to uncheck the folder. The checkboxes are toggles, clicking in them once checks them and clicking in them again unchecks them.

This removal is temporary unless the Apply or OK buttons on the property page are selected. The default reminder enabled folders (Inbox, Calendar, Tasks and Calendar) cannot be removed from the list of folders in the Reminders folder.


Extended Reminders

Reminder Warnings

Outlook will properly display reminders for any item in a reminder enabled folder. This function works automatically and requires no intervention on your part other than adding the desired folder to the list of folders in the Reminders folder. However, Outlook will still display the warning that the reminder will not fire when a reminder is added for a Calendar or Task item in a user enabled reminder folder. This warning message can be safely ignored by selecting the Yes button in the warning dialog. The reminder will be displayed as desired, despite the message in the warning dialog.


Folder Property Page

You can also add to and remove folders from the Reminders folder with the folder property page for each eligible folder. Extended Reminders adds this property page for any eligible folder in the default data store. Eligible folders are any E-mail, Calendar, Tasks or Contacts folder.

To display the folder property pages for any folder select the folder in the Outlook Bar or the Folder List, right-click on the folder to display the context menu and select the Properties menu option. If the folder is an eligible folder, a tab for the Reminders property page is added to the folder property pages for that folder.

The Reminders property page for the default Inbox, Calendar, Tasks and Contacts folder shows the folders enabled for reminders, with the Enabled for reminders checkbox checked but not enabled for changes. Reminders for these folders are enabled by default and cannot be disabled.

Enabling a Folder for Reminders

To enable an eligible folder for reminders click on the Enabled for reminders checkbox to check the option and select the Apply or OK property page buttons. To cancel the addition of this folder to the list of folders enabled for reminders select the Cancel button.

Disabling a Folder for Reminders

To disable an eligible folder for reminders click on the Enabled for reminders checkbox to uncheck the option and select the Apply or OK property page buttons. To cancel the removal of this folder from the list of folders enabled for reminders select the Cancel button.


Extended Reminders Technical Support

Slovak Technical Services Extended Reminders Technical Support

To obtain technical support for Slovak Technical Services Extended Reminders software, e-mail a support request to support@slovaktech.com with full details of the problem or error. Make sure to provide a return e-mail address where you can be reached. Support phone calls will be made only at the discretion of Slovak Technical Services, Inc. Support is provided Monday to Friday, 9:00 AM to 5:00 PM U.S. Eastern time. Every attempt will be made to reply to support requests within 48 hours.


Extended Reminders

Extended Reminders Registration

Installation and use of Extended Reminders software is governed by the Slovak Technical Services End User License Agreement. You are welcome to try Extended Reminders at no charge for an evaluation period of up to 30 days. You must pay a license fee to continue to use this software once the evaluation period has expired. Unregistered use after the 30-day evaluation period is in violation of U.S. and international copyright laws.

Extended Reminders Licensing

The first time an evaluation copy of Extended Reminders is started the following message will appear:

If you decline to register Extended Reminders or do not have a license for Extended Reminders a 30-day evaluation period will begin. Extended Reminders will not run after the 30-day evaluation period expires.

To obtain a license for Extended Reminders , please visit http://www.slovaktech.com/extendedreminders/ERPricing.htm for pricing and on-line purchasing. Once you have purchased a license, you will receive a license code via a registration e-mail. You must enter your code on the Extended Reminders Registration form to complete the licensing process.

To enter your license code

  1. Click Options on the Tools menu in an Outlook Explorer window
  2. Click the Extended Reminders page
  3. An evaluation copy of Extended Reminders will display how many days of evaluation remain under the folders window
  4. Click the Registration button

  5. The Registration form will open for you to enter the license information
  6. If you do not have license information click the Register button to visit http://www.slovaktech.com/extendedreminders/ERPricing.htm for pricing and on-line purchasing
  7. Enter your license registration name exactly as it appears in the license code in the registration e-mail and the license key and click OK

After Extended Reminders is registered the following message will be shown:

If a mistake was made in entering the license information the following message will be shown:

Viewing Extended Reminders License Information

To view the license information for a registered version of Extended Reminders

  1. Click Options on the Tools menu in an Outlook Explorer window
  2. Click the Extended Reminders page


Extended Reminders

About Extended Reminders

To see the version information for Extended Reminders:

  1. Click Options on the Tools menu in an Outlook Explorer window
  2. Click the Extended Reminders page
  3. Click the About button

An evaluation version of Extended Reminders displays the expiration date of the software.


Removing Extended Reminders

Removing Slovak Technical Services Extended Reminders Software

To remove this software, open the Control Panel and select Add/Remove Programs. Select "ExtendedReminders" in the list of installed programs and choose to remove the software.